4.3beta2 coming soon

Thanks for the feedback in beta1 guys!

I'm away from home right now, won't be back until Friday -- that's when I get my satellite Internet connection -- oh joy!!!

Anyway, I have a PC at home that I use for compiling the kernels, so will be recompiling 2.6.29.6 on the weekend. If anyone wants to provide any 3rd party drivers for me to compile, please post them to the 4.3beta1 thread on the forum, or link to them.

Also, if anyone would like to compile a kernel driver for the 2.6.29.6 kernel, best to wait until 4.3beta2 so that it is finalised. As I will be making a change to the kernel config, the final vmlinuz will have slghtly different exported symbols, which may affect compiling of some drivers.

I'll have a "pupathon" on the weekend, see if I can upload beta2 early next week.

MU, appreciate your testing. I realise you're busy these days. I love the little Genie apps you have created.


Posted on 16 Aug 2009, 8:56


Comments:

Posted on 16 Aug 2009, 8:19 by BarryK
abiword issues
I have rolled Gxine back for 4.3beta1, do you think I should also roll Abiword back to our trusty old version 2.6.3?

beta1 has 2.7.8, various problems have been reported.



Posted on 16 Aug 2009, 11:23 by 8-bit
4.3 Beta 1
Any chance of getting Geany back?
Also, on the scsi version Pzip would not touch a tgz compressed file and I could not install a SDL pet and Python would not install either.
My Zip Drive and Infinity scanner worked.
But they also worked in Puppy 421 after compiling and installing a driver for my scsi card. In Puppy 421 the zip drive shows up as USB as does the scanner and both are scsi attached.



Posted on 16 Aug 2009, 13:19 by charlie6
bock to abiword 2.6.3?
Hi Barry,

I would prefer keeping 2.7.8.
2.7.8 gives a well better rendering of .doc files than 2.6.3 (esp. for formated characters and tables); I am using 2.6.3 daily (with abi2.6.3-complet-421.pet) and was awaiting for a more advanced version of abi (*). Will test 2.7.8 on ppa423 and have a look at 2.7.8 various reported problems to check if they are that so much annoying.

(*)have already tried to install more advanced version without success as unisntalling 2.6.3 and compiling another version crashed and so looks to be a very carefull job for me. I'm not yet puppy specialist enough... :-(

thanks for this last isos and for your time!
Cheers
Charlie


Posted on 16 Aug 2009, 15:57 by disciple
no
> do you think I should also roll Abiword back to our trusty old version 2.6.3?
>
> beta1 has 2.7.8, various problems have been reported.

Only if they're very nasty - the only one I heard was the help not working, and 2.6.3 has much worse problems than that :(


Posted on 16 Aug 2009, 16:29 by ttuuxxx
abiword
The best thing to do with abiword is use the latest version, remove all the non-functional pcf fonts located in /usr/X11R7/lib/X11/fonts/misc
keep a bare min, just enough for xorg/rxvt to use, This will free up a lot of space and then install the liberation ttf GPL fonts, This fonts are a 100% free replacement, Then you'll have all the same formats plus other applications will be able to use the newer,smaller and better fonts :) Its a win win for puppy.
ttuuxxx
https://fedorahosted.org/liberation-fonts/



also posted on the murga bug section so I had a place to hold the image. :)



Posted on 16 Aug 2009, 17:28 by BarryK
Abiword and fonts
Ttuuxxx,
Yes, but now that we are at beta1 I will only make essential changes. Absolutely essential only. I won't change any fonts.



Posted on 16 Aug 2009, 18:11 by ttuuxxx
Abiword and fonts
aaaaaa crap, Barry I had mentioned that over 2 months back on here about those fonts and to drastically reduce the pcf fonts to a bare min, and increase the ttf fonts with liberation, oh well there's always woof :) that could have the better fonts/abiword I guess.
ttuuxxx



Posted on 17 Aug 2009, 6:45 by BarryK
fonts
Ttuuxxx,
Yes I know you mentioned it awhile back. It joined my very long to-do list, but didn't make it in time. It can be targeted as a higher priority for 4.4.



Posted on 17 Aug 2009, 8:03 by BarryK
Fonts
A further comment on fonts. I will only consider changing the system fonts early in the development of the next version of Puppy. It is something that I would approach with extreme caution.

There are old packages in the Puppy2 and 3 repos that require certain pcf fonts, and I don't want to break those old packages. Some Postcript and PDF files need certain Type1 fonts.

If fonts are to be changed, then probably early in the 4.4 development cycle would be appropriate.



Posted on 17 Aug 2009, 15:22 by wuxiandianzi
feed back of 4.3beta1
Dear Barry;
Thank you for your work!
I'm chinese! I like puppylinux! it is a useful and powerful system! but, in China there is small difference in drivers, for example; the display adapters and soon, my teacher ,can you tell me how to solve the problems?


Posted on 17 Aug 2009, 19:50 by trio
JWM Theme Maker 1.2-1
Small bugfix - now sort & filer duplicated font names. Thanks


Posted on 19 Aug 2009, 10:23 by broomdodger
nroff col
ESO I am sent a *.man file.
On the Mac and other Unix I use:
nroff -man name.man | col -bx >nroff_name.txt
to create a readable version.
nroff works in Puppy 4.3beta1 but col is nowhere to be found.
What is the "puppy" way to do this?
Can "col" be added?